31
Résultats de validation

TheGem (Elementor)

TheGem (Elementor)

WordPress 5.5.2 theme
31
  • TYPE DE THèMEThème WordPress %s 5.5.2
  • NOM DU FICHIERTheGem_Elementor.zip
  • TAILLE DU FICHIER4532417 octets
  • MD57fd88749003b532dbd36b087c1496184
  • SHA14ff48abed7fea418f02e2bb57c6cf77851cec982
  • LICENCEGNU GPL 2
  • FICHIERS INCLUSCSS, PHP, HTML, XML, Bitmap images, Adobe Illustrator
  • URI DU THèME URIhttp://codex-themes.com/thegem/
  • VERSION4.5.2.1
  • TAGSone-column, two-columns, left-sidebar, right-sidebar, custom-background, custom-colors, custom-header, custom-menu, featured-images, flexible-header, full-width-template, theme-options, translation-ready
  • DATE DE CRéATION2020-09-22
  • DERNIèRE MISE à JOUR DU FICHIER2020-09-22
  • DERNIèRE VALIDATION2020-09-22 08:17
Ce thème n'est peut être pas libre. Themecheck ne distribue pas de thèmes commerciaux.
Alertes critiques
  1. Présence d'iframes : Les iframes sont parfois utilisées pour charger du contenu non désirés ou du code malicieux sur des sites tiers <iframe src="'.esc_url($link).'" frameborder="0"> trouvé dans le fichier content.php. 634: $video_block = '<iframe src=''.esc_url($link).'' frameborder='0'></iframe>';
  2. Code malveillant : Opérations sur système de fichiers file_get_contents trouvé dans le fichier functions.php. 684: $font_json_file = file_get_contents(get_template_directory() . '/fonts/webfonts.json');
  3. Menu Admin : Les thèmes doivent utiliser add_theme_page () pour ajouter des pages admin. Fichier class-tgm-plugin-activation.php : 724: $this->page_hook = add_submenu_page( $args['parent_slug'], $args['page_title'], $args['menu_tiFichier options.php : 6027: $page = add_submenu_page('thegem-theme-options',esc_html__('TheGem Theme Options','Fichier image-generator.php : 187: add_submenu_page(null, esc_html__('TheGem thumbnails','thegem'), esc_html__Fichier functions.php : 146: $page = add_menu_page(esc_html__('TheGem','thegem'), esc_html__('TheGem','thegem'),Fichier functions.php : 1884: $page = add_submenu_page('thegem-theme-options', esc_html__('Self-Hosted Fonts','th2143: $page = add_submenu_page(NULL, esc_html__('Add new social network','thegem'), '', 'Fichier functions.php : 1884: $page = add_submenu_page('thegem-theme-options', esc_html__('Self-Hosted Fonts','th2143: $page = add_submenu_page(NULL, esc_html__('Add new social network','thegem'), '', '
Attention
  1. Text domain : Utilisation incorrecte des fonctions de traduction.Une fonction de traduction utilisée sans text-domain. Fonction __, avec les arguments 'Save my name, email, and website in this browser for the next time I comment.' dans le fichier single-product-reviews.php.Une fonction de traduction utilisée sans text-domain. Fonction __, avec les arguments 'Save my name, email, and website in this browser for the next time I comment.' dans le fichier comments.php.Plusieurs text-domain sont utilisés dans le thème. Cela signifie que le thème n'est pas compatible avec les language packs de WordPress. Les domaines trouvés sont thegem, woocommerce, yith-woocommerce-wishlist, tgmpa, default, contact-form-7.
  2. Balises courtes PHP : Présence de balises PHP courtesPrésence de balises PHP courtes dans le fichier lazy-items.class.php. "Il est conseillé de ne pas les utiliser car elles ne sont seulement disponibles lors de l'activation de la directive de configuration short_open_tag du php.ini, ou si PHP a été configuré avec l'option --enable-short-tags" (php.net), ce qui n'est pas le cas sur de nombreux serveurs.56: visibilityOffset: <?=floatval($this->visibilityOffset)?>,
  3. Uniformité des caractères de fin de ligne : Les fins de ligne DOS et UNIXLe fichier thegem-itemsAnimations.css contient un mélange de finde ligne \r\n and \nLe fichier thegem-itemsAnimations.js contient un mélange de finde ligne \r\n and \n
  4. Barre d'admin cachée : Barre d'admin cachée dans CSSLes thèmes ne doivent pas cacher la barre d'admin. Détecté dans le fichier style.css.
  5. Eléments custom : Présence d'une entête customAucune référence à custom header n'a été trouvée dans le thème.
  6. Eléments custom : Présence d'un fond customAucune référence à custom background n'a été trouvée dans le thème.
  7. Implémentation de l'internationalisation : Utilisation correcte de _x(La variable $v a été trouvée dans une fonction de traduction dans le fichier functions.php . Les appels de fonctions de traduction ne doivent pas contenir de variables PHP.
  8. Fichiers CSS : Présence de l'URI de l'auteurAuthor URI introuvable.
  9. Screenshot : Copie d'écranMauvaise extension de fichier screenshot ! Le fichier screenshot.png n'est pas un véritable fichier JPG. Le type détecté est : "image/png".
Info
  1. Fichiers optionnels : Présence du fichierde style pour les écritures de droite vers la gauche rtl.cssCe thème ne contient pas le fichier optionnel rtl.php.
  2. Fichiers optionnels : Présence du fichier-template fron-*page.phpCe thème ne contient pas le fichier optionnel front-page.php.
  3. Fichiers optionnels : Présence du fichier-template de catégorie category.phpCe thème ne contient pas le fichier optionnel category.php.
  4. Fichiers optionnels : Présence du fichier-template des tags tag.phpCe thème ne contient pas le fichier optionnel tag.php.
  5. Fichiers optionnels : Présence du fichier template de taxinomie taxonomy.phpCe thème ne contient pas le fichier optionnel taxonomy.php.
  6. Fichiers optionnels : Présence du fichier-template author.phpCe thème ne contient pas le fichier optionnel author.php.
  7. Fichiers optionnels : Présence de du fichier-template des dates et heures date.phpCe thème ne contient pas le fichier optionnel date.php.
  8. Fichiers optionnels : Présence du fichier-template des archives archive.phpCe thème ne contient pas le fichier optionnel archive.php.
  9. Fichiers optionnels : Présence du fichier-template des pièces jointes attachment.phpCe thème ne contient pas le fichier optionnel attachment.php.
  10. Fichiers optionnels : Présence du fichier-template des images image.phpCe thème ne contient pas le fichier optionnel image.php.
  11. Utilisation d'includes : Utilisation de include ou de de requireLe thème semble utiliser include ou require : content.php 544: include(locate_template('content-news-carousel-item.php'));554: include(locate_template('gem-templates/blog/content-blog-item-slider.php'))573: include(locate_template(array('gem-templates/blog/content-blog-item-masonry575: include(locate_template(array('gem-templates/blog/content-blog-item-justifi577: include(locate_template(array('gem-templates/blog/content-blog-item-'.$blog Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.Le thème semble utiliser include ou require : megamenu.class.php 321: include_once( get_template_directory() . '/inc/megamenu//edit-megamenu-walk Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.Le thème semble utiliser include ou require : search.php 77: include(locate_template(array('gem-templates/blog/content-blog-item-masonry Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
Other checked themes